## python3-defaults 3.3.2-17

=== debian/changelog ===
python3-defaults (3.3.2-17) unstable; urgency=low

  * Add Multi-Arch: allowed for python3-all-dev.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Sep 2013 15:46:08 +0200

python3-defaults (3.3.2-16) unstable; urgency=low

  * Restore :any relationship for python3-minimal build-dep now that it is
    supported on the buildds

 -- Scott Kitterman <scott@kitterman.com>  Sat, 07 Sep 2013 17:11:07 -0400

python3-defaults (3.3.2-15) unstable; urgency=low

  * Drop non-existing :any from python3-minimal build-dep.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 18 Aug 2013 11:38:29 -0400

=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 7.0.50~), python3-minimal:any, python3-docutils,
 dpkg-dev (>= 1.16.1~), debiandoc-sgml, lsb-release
Build-Depends-Indep: libhtml-tree-perl
Standards-Version: 3.9.4
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files

Package: python3
Architecture: any
Multi-Arch: allowed
Depends: python3.3 (>= 3.3.0-5), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}, dh-python
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Provides: python3-profiler
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: python3-minimal
Architecture: any
Multi-Arch: allowed
Depends: python3.3-minimal (>= 3.3.0-5), dpkg (>= 1.13.20), ${misc:Depends}
Breaks: python3 (<< 3.3.2-13~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
Replaces: python3 (<< 3.3.2-13~), python3.1 (<< 3.1-2)
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.3-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python3-examples
Architecture: all
Depends: python3 (>= ${binary:Version}), python3.3-examples (>= 3.3.0-5), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: python3-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}), python3.3-dev (>= 3.3.0-5), ${misc:Depends}
Replaces: python3.1 (<< 3.1.2+20100706-3)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: libpython3-dev
Architecture: any
Multi-Arch: same
Depends: libpython3.3-dev (>= 3.3.0-5), ${misc:Depends}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: libpython3-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython3.3-stdlib (>= 3.3.0-5), ${misc:Depends}
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: idle3
Architecture: all
Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.3
Replaces: python3 (<< 3.2.3-1~)
Breaks: python3 (<< 3.2.3-1~)
Enhances: python3
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: python3-doc
Section: doc
Architecture: all
Depends: python3.3-doc (>= 3.3.0-5), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python 3
 This is the official set of documentation for the interactive high-level
 object-oriented language Python 3 (v3.3). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.3).

Package: python3-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.3-dbg (>= 3.3.0-5), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.3)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.3/lib-dynload/debug first.

Package: libpython3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython3.3-dbg (>= 3.3.0-5), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.3)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.3/lib-dynload/debug first.

Package: python3-all
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), ${misc:Depends},
 python3.3 
Description: package depending on all supported Python 3 runtime versions
 The package currently depends on python3.3, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-all-dev (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), ${misc:Depends},
 python3.3-dev
Description: package depending on all supported Python 3 development packages
 The package currently depends on python3.3-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: python3-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), libpython3-all-dbg (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), ${misc:Depends},
 python3.3-dbg
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on python3.3-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: libpython3-all-dev
Architecture: any
Multi-Arch: same
Depends: libpython3-dev (= ${binary:Version}), ${misc:Depends},
 libpython3.3-dev
Description: package depending on all supported Python 3 development packages
 The package currently depends on libpython3.3-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: libpython3-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython3-dbg (= ${binary:Version}), ${misc:Depends},
 libpython3.3-dbg
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on libpython3.3-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

## python3-defaults 3.4.0-0ubuntu2

=== debian/changelog ===
python3-defaults (3.4.0-0ubuntu2) trusty; urgency=medium

  * debpython/version.py: Remove 3.3 as supported version.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 09:14:21 +0100

python3-defaults (3.4.0-0ubuntu1) trusty; urgency=medium

  * Bump version to 3.4.0.
  * Drop 3.3 as a supported python3 version. LP: #1295153.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 08:52:38 +0100

python3-defaults (3.4~rc1-1) experimental; urgency=medium

  * Default to python3.4.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Feb 2014 13:03:28 +0100

python3-defaults (3.3.4-1) unstable; urgency=medium

  * Bump version to 3.3.4.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Feb 2014 11:15:40 +0100

python3-defaults (3.3.3-1) experimental; urgency=low

  * Add python3.4 as a supported python version.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Dec 2013 00:39:55 +0100

=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 7.0.50~), python3-minimal:any, python3.4-minimal:any, python3-docutils,
 dpkg-dev (>= 1.16.1~), debiandoc-sgml, lsb-release
Build-Depends-Indep: libhtml-tree-perl
Standards-Version: 3.9.5
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files

Package: python3
Architecture: any
Multi-Arch: allowed
Depends: python3.4 (>= 3.4.0-0~), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}, dh-python
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Provides: python3-profiler
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.4).

Package: python3-minimal
Architecture: any
Multi-Arch: allowed
Depends: python3.4-minimal (>= 3.4.0-0~), dpkg (>= 1.13.20), ${misc:Depends}
Breaks: python3 (<< 3.3.2-13~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
Replaces: python3 (<< 3.3.2-13~), python3.1 (<< 3.1-2)
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.4-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python3-examples
Architecture: all
Depends: python3 (>= ${binary:Version}), python3.4-examples (>= 3.4.0-0~), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.4).

Package: python3-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}), python3.4-dev (>= 3.4.0-0~), ${misc:Depends}
Replaces: python3.1 (<< 3.1.2+20100706-3)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.4).

Package: libpython3-dev
Architecture: any
Multi-Arch: same
Depends: libpython3.4-dev (>= 3.4.0-0~), ${misc:Depends}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.4).

Package: libpython3-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython3.4-stdlib (>= 3.4.0-0~), ${misc:Depends}
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.4).

Package: idle3
Architecture: all
Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.4
Replaces: python3 (<< 3.2.3-1~)
Breaks: python3 (<< 3.2.3-1~)
Enhances: python3
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.4).

Package: python3-doc
Section: doc
Architecture: all
Depends: python3.4-doc (>= 3.4.0-0~), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python 3
 This is the official set of documentation for the interactive high-level
 object-oriented language Python 3 (v3.4). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.4).

Package: python3-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.4-dbg (>= 3.4.0-0~), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.4)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.4/lib-dynload/debug first.

Package: libpython3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython3.4-dbg (>= 3.4.0-0~), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.4)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.4/lib-dynload/debug first.

Package: python3-all
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), ${misc:Depends},
 python3.4
Description: package depending on all supported Python 3 runtime versions
 The package currently depends on python3.4, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-all-dev (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), ${misc:Depends},
 python3.4-dev
Description: package depending on all supported Python 3 development packages
 The package currently depends on python3.4-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: python3-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), libpython3-all-dbg (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), ${misc:Depends},
 python3.4-dbg
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on python3.4-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: libpython3-all-dev
Architecture: any
Multi-Arch: same
Depends: libpython3-dev (= ${binary:Version}), ${misc:Depends},
 libpython3.4-dev
Description: package depending on all supported Python 3 development packages
 The package currently depends on libpython3.4-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: libpython3-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython3-dbg (= ${binary:Version}), ${misc:Depends},
 libpython3.4-dbg
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on libpython3.4-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))
UPSTRVER   := $(shell echo $(PKGVERSION) | sed -rne 's,(.*)-.*,\1,p')
IPKGVER    := $(shell echo $(PKGVERSION) | sed -rne 's,(.*)\+.*,\1,p')
VER        := $(shell echo $(PKGVERSION) | sed -rne 's,(.{3}).*,\1,p')
NVER       := $(shell echo $(VER) | awk 'BEGIN{FS="." }{print $$1 "." $$2 + 1}') 


distribution := $(shell lsb_release -is)

ifeq ($(distribution),Ubuntu)
  # first Ubuntu version with Multi-Arch: allowed
  UPSTRVER   := 3.4.0-0~
else
  # first Debian version with Multi-Arch: allowed
  UPSTRVER   := 3.4.0-1~
endif


PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build-arch: build
build-indep: build

build: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	debiandoc2text debian/python-policy.sgml
	mv -f python-policy.txt debian/
	debiandoc2html debian/python-policy.sgml
	rm -rf debian/python-policy.html
	mv -f python-policy.html debian/
	touch stamp-doc-policy

stamp-doc: #stamp-doc-policy
	touch stamp-doc

control-file:
	sed -e "s/@UPSTRVER@/$(UPSTRVER)/g" \
	    -e "s/@IPKGVER@/$(IPKGVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
		<debian/control.in >debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html
	rm -f faq/*.h2 faq/*.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,python$(VER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,python$(VER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/python$(VER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_install
ifeq (0,1)
	dh_installdirs usr/share/doc/python/faq

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/
endif
	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	#make check_versions
	DESTDIR=debian/python3 PREFIX=/usr make install-dev
	DESTDIR=debian/python3-minimal PREFIX=/usr make install-runtime manpages
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

ifeq ($(with_doc),yes)
	mkdir -p debian/python3-doc/usr/share/doc/python3
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3/html
	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3-doc/html
endif

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle3/usr/bin
	install -m 755 debian/idle.py debian/idle3/usr/bin/idle3

	mkdir -p debian/idle3/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle3/usr/share/man/man1/idle3.1

	mkdir -p debian/idle3/usr/share/pixmaps
	ln -sf python3.xpm debian/idle3/usr/share/pixmaps/idle3.xpm

	mkdir -p debian/idle3/usr/share/applications
	cp -p debian/idle3.desktop debian/idle3/usr/share/applications/

#	dh_installdebconf -i $(NOPKGS)
	dh_lintian -i
	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
	dh_installmenu -i $(NOPKGS)
	dh_installchangelogs -i $(NOPKGS)

	for p in examples idle3; do \
	  [ $$p = idle3 ] || p=python3-$$p; \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -sf python3 debian/$$p/usr/share/doc/$$p; \
	done

	dh_compress -i $(NOPKGS)
	dh_fixperms -i $(NOPKGS)
	dh_installdeb -i $(NOPKGS)
	dh_gencontrol -i $(NOPKGS)
	dh_md5sums -i $(NOPKGS)
	dh_builddeb -i $(NOPKGS)

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installman -a

	: # provide the python and python.1 defaults
	mkdir -p debian/python3-minimal/usr/bin
	ln -sf python$(VER) debian/python3-minimal/usr/bin/python3
	ln -sf python$(VER)m debian/python3-minimal/usr/bin/python3m
	mkdir -p debian/python3-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python3-minimal/usr/share/man/man1/python3.1.gz
	ln -sf python$(VER)m.1.gz \
		debian/python3-minimal/usr/share/man/man1/python3m.1.gz

	: # 
	mkdir -p debian/python3-minimal/usr/share/python3
	cp -p debian/debian_defaults \
		debian/python3-minimal/usr/share/python3/

	install -m 755 debian/py3versions.py \
		debian/python3-minimal/usr/share/python3/
	install -m 644 debian/py3versions.1 \
		debian/python3-minimal/usr/share/man/man1/
	dh_link -ppython3-minimal /usr/share/python3/py3versions.py /usr/bin/py3versions

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python3/usr/bin
	ln -sf pydoc$(VER) debian/python3/usr/bin/pydoc3
	ln -sf pygettext$(VER) debian/python3/usr/bin/pygettext3
	ln -sf pdb$(VER) debian/python3/usr/bin/pdb3

	mkdir -p debian/python3/usr/share/python3
	install -m 644 debian/python.mk \
		debian/python3/usr/share/python3/

	mkdir -p debian/python3/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python3/usr/share/man/man1/pydoc3.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python3/usr/share/man/man1/pygettext3.1.gz
	ln -sf pdb$(VER).1.gz \
		debian/python3/usr/share/man/man1/pdb3.1.gz

	mkdir -p debian/python3/usr/share/doc/python3
ifeq (0,1)
	cp -a debian/python-policy.{html,sgml,txt} \
		debian/python/usr/share/doc/python3/
endif

	mkdir -p debian/python3/usr/share/pixmaps
	ln -sf python$(VER).xpm debian/python3/usr/share/pixmaps/python3.xpm

ifeq (0,1)
	: # add symlinks to policy files
	mkdir -p debian/python/usr/share/doc/python$(VER)
	for ext in html sgml.gz txt.gz; do \
	  ln -sf ../python/python-policy.$$ext \
		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
	done

## python3-defaults 3.4.0-maemo6

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= py3compile.1 py3clean.1
VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+),\1,p')

clean:
	find . -name '*.py[co]' -exec rm {} \;
	find . -name __pycache__ -type d | xargs rm -rf
	rm -f .coverage $(MANPAGES)

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python3/runtime.d
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python3/runtime.d/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python3/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python3/debpython/
	$(INSTALL) -m 755 py3compile $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/py3compile
	$(INSTALL) -m 755 py3clean $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/py3clean

install: install-dev install-runtime

%.1: %.rst
	rst2man $< > $@ || echo "true"

manpages: $(MANPAGES)

pdebuild:
	pdebuild --debbuildopts -I

# TESTS
tests:
	nosetests3 --with-doctest --with-coverage

check_versions:
	@PYTHONPATH=. set -e; \
	DEFAULT=`python3 -c 'import debpython.version as v; print(v.vrepr(v.DEFAULT))'`;\
	SUPPORTED=`python3 -c 'import debpython.version as v; print(" ".join(sorted(v.vrepr(v.SUPPORTED))))'`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0.9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo 'Please update DEFAULT in debpython/version.py' >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo 'Please update SUPPORTED in debpython/version.py' >/dev/stderr; false)

.PHONY: clean tests test% check_versions

=== debian/changelog ===
python3-defaults (3.4.0-maemo6) trusty; urgency=low

  * Gently change the versioning scheme, so that the old Aapo's package doesn't get pushed by apt

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Thu, 16 Apr 2015 15:11:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python3-defaults
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 7.0.50~), python3-minimal:any, python3.4-minimal:any, python3-docutils,
- dpkg-dev (>= 1.16.1~), debiandoc-sgml, lsb-release
+Build-Depends: debhelper7, python3.4, python3-docutils | lsb-release,
+ dpkg-dev, debiandoc-sgml, lsb-release, maemo-optify
 Build-Depends-Indep: libhtml-tree-perl
 Standards-Version: 3.9.5
 Homepage: http://www.python.org/
@@ -15,7 +14,7 @@
 Package: python3
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.4 (>= 3.4.0-0~), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}, dh-python
+Depends: python3.4 (>= 3.4.0-1~), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
 Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
@@ -30,7 +29,7 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.4-minimal (>= 3.4.0-0~), dpkg (>= 1.13.20), ${misc:Depends}
+Depends: python3.4 (>= 3.4.0-1~), dpkg (>= 1.13.20), ${misc:Depends}
 Breaks: python3 (<< 3.3.2-13~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
 Replaces: python3 (<< 3.3.2-13~), python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
@@ -41,7 +40,7 @@
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (>= ${binary:Version}), python3.4-examples (>= 3.4.0-0~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.4 (>= 3.4.0-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -52,7 +51,7 @@
 Package: python3-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}), python3.4-dev (>= 3.4.0-0~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}), python3.4 (>= 3.4.0-1~), ${misc:Depends}
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
@@ -65,7 +64,7 @@
 Package: libpython3-dev
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.4-dev (>= 3.4.0-0~), ${misc:Depends}
+Depends: python3.4 (>= 3.4.0-1~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -77,7 +76,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.4-stdlib (>= 3.4.0-0~), ${misc:Depends}
+Depends: python3.4 (>= 3.4.0-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -102,7 +101,7 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.4-doc (>= 3.4.0-0~), ${misc:Depends}
+Depends: python3.4 (>= 3.4.0-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -127,7 +126,7 @@
 Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.4-dbg (>= 3.4.0-0~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.4 (>= 3.4.0-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.4)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.4/lib-dynload/debug first.
@@ -137,7 +136,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libpython3.4-dbg (>= 3.4.0-0~), ${misc:Depends}
+Depends: libpython3.4 (>= 3.4.0-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.4)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.4/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,17 @@
 #!/usr/bin/make -f
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 
+PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
+export PATH
+SBOX_REDIRECT_IGNORE=/usr/bin/perl
+export SBOX_REDIRECT_IGNORE
+
 export SHELL = /bin/bash
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpkg/architecture.mk
+#include /usr/share/dpkg/architecture.mk
 
 changelog_values := $(shell dpkg-parsechangelog \
 			| awk '/^(Version|Source):/ {print $$2}')
@@ -26,6 +31,12 @@
 else
   # first Debian version with Multi-Arch: allowed
   UPSTRVER   := 3.4.0-1~
+endif
+
+ifeq ($(shell dpkg --print-architecture),armel)
+  ARCH := armel
+else
+  ARCH := i386
 endif
 
 
@@ -210,6 +221,7 @@
 	dh_fixperms -i $(NOPKGS)
 	dh_installdeb -i $(NOPKGS)
 	dh_gencontrol -i $(NOPKGS)
+	if [$ARCH == i386]; then maemo-optify; fi
 	dh_md5sums -i $(NOPKGS)
 	dh_builddeb -i $(NOPKGS)
 
@@ -269,10 +281,3 @@
 	mkdir -p debian/python3/usr/share/pixmaps
 	ln -sf python$(VER).xpm debian/python3/usr/share/pixmaps/python3.xpm
 
-ifeq (0,1)
-	: # add symlinks to policy files
-	mkdir -p debian/python/usr/share/doc/python$(VER)
-	for ext in html sgml.gz txt.gz; do \
-	  ln -sf ../python/python-policy.$$ext \
-		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
-	done

## python3-defaults 3.4.1-1

=== debian/changelog ===
python3-defaults (3.4.1-1) unstable; urgency=medium

  * Bump version to 3.4.1.
  * Drop python3.3 as a supported python version.
  * Build a python3-venv binary package.
  * Fix lintian warnings.
  * py3versions: Ignore blank lines before the source section in the control
    file. Closes: #739935.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jun 2014 12:39:42 +0200

python3-defaults (3.4.1~rc1-1) unstable; urgency=medium

  * Upload to unstable
  * Bump version to 3.4.1~rc1

 -- Scott Kitterman <scott@kitterman.com>  Tue, 27 May 2014 22:49:41 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper7, python3.4, python3-docutils | lsb-release,
- dpkg-dev, debiandoc-sgml, lsb-release, maemo-optify
+Build-Depends: debhelper (>= 7.0.50~), python3-minimal:any, python3.4-minimal:any, python3-docutils,
+ dpkg-dev (>= 1.16.1~), debiandoc-sgml, lsb-release
 Build-Depends-Indep: libhtml-tree-perl
 Standards-Version: 3.9.5
 Homepage: http://www.python.org/
@@ -14,8 +14,8 @@
 Package: python3
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.4 (>= 3.4.0-1~), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
+Depends: python3.4 (>= 3.4.1-1~), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}, dh-python
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.4.1-1~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
 Description: interactive high-level object-oriented language (default python3 version)
@@ -26,10 +26,22 @@
  This package is a dependency package, which depends on Debian's default
  Python 3 version (currently v3.4).
 
+Package: python3-venv
+Architecture: any
+Multi-Arch: allowed
+Depends: python3.4-venv (>= 3.4.1-1~), python3 (= ${binary:Version}), ${misc:Depends}
+Description: pyvenv-3 binary for python3 (default python3 version)
+ Python, the high-level, interactive object oriented language,
+ includes an extensive class library with lots of goodies for
+ network programming, system administration, sounds and graphics.
+ .
+ This package is a dependency package, which depends on Debian's default
+ Python 3 version (currently v3.4).
+
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.4 (>= 3.4.0-1~), dpkg (>= 1.13.20), ${misc:Depends}
+Depends: python3.4-minimal (>= 3.4.1-1~), dpkg (>= 1.13.20), ${misc:Depends}
 Breaks: python3 (<< 3.3.2-13~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
 Replaces: python3 (<< 3.3.2-13~), python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
@@ -40,7 +52,7 @@
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (>= ${binary:Version}), python3.4 (>= 3.4.0-1~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.4-examples (>= 3.4.1-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -51,7 +63,7 @@
 Package: python3-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}), python3.4 (>= 3.4.0-1~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}), python3.4-dev (>= 3.4.1-1~), ${misc:Depends}
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
@@ -64,7 +76,8 @@
 Package: libpython3-dev
 Architecture: any
 Multi-Arch: same
-Depends: python3.4 (>= 3.4.0-1~), ${misc:Depends}
+Section: libdevel
+Depends: libpython3.4-dev (>= 3.4.1-1~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -76,7 +89,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: python3.4 (>= 3.4.0-1~), ${misc:Depends}
+Depends: libpython3.4-stdlib (>= 3.4.1-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -101,7 +114,7 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.4 (>= 3.4.0-1~), ${misc:Depends}
+Depends: python3.4-doc (>= 3.4.1-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -126,7 +139,7 @@
 Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.4 (>= 3.4.0-1~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.4-dbg (>= 3.4.1-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.4)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.4/lib-dynload/debug first.
@@ -136,7 +149,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libpython3.4 (>= 3.4.0-1~), ${misc:Depends}
+Depends: libpython3.4-dbg (>= 3.4.1-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.4)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.4/lib-dynload/debug first.
@@ -186,6 +199,7 @@
 Package: libpython3-all-dev
 Architecture: any
 Multi-Arch: same
+Section: libdevel
 Depends: libpython3-dev (= ${binary:Version}), ${misc:Depends},
  libpython3.4-dev
 Description: package depending on all supported Python 3 development packages

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,12 @@
 #!/usr/bin/make -f
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 
-PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
-export PATH
-SBOX_REDIRECT_IGNORE=/usr/bin/perl
-export SBOX_REDIRECT_IGNORE
-
 export SHELL = /bin/bash
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-#include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/architecture.mk
 
 changelog_values := $(shell dpkg-parsechangelog \
 			| awk '/^(Version|Source):/ {print $$2}')
@@ -27,16 +22,10 @@
 
 ifeq ($(distribution),Ubuntu)
   # first Ubuntu version with Multi-Arch: allowed
-  UPSTRVER   := 3.4.0-0~
+  UPSTRVER   := 3.4.1-1~
 else
   # first Debian version with Multi-Arch: allowed
-  UPSTRVER   := 3.4.0-1~
-endif
-
-ifeq ($(shell dpkg --print-architecture),armel)
-  ARCH := armel
-else
-  ARCH := i386
+  UPSTRVER   := 3.4.1-1~
 endif
 
 
@@ -221,7 +210,6 @@
 	dh_fixperms -i $(NOPKGS)
 	dh_installdeb -i $(NOPKGS)
 	dh_gencontrol -i $(NOPKGS)
-	if [$ARCH == i386]; then maemo-optify; fi
 	dh_md5sums -i $(NOPKGS)
 	dh_builddeb -i $(NOPKGS)
 
@@ -281,3 +269,10 @@
 	mkdir -p debian/python3/usr/share/pixmaps
 	ln -sf python$(VER).xpm debian/python3/usr/share/pixmaps/python3.xpm
 
+ifeq (0,1)
+	: # add symlinks to policy files
+	mkdir -p debian/python/usr/share/doc/python$(VER)
+	for ext in html sgml.gz txt.gz; do \
+	  ln -sf ../python/python-policy.$$ext \
+		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
+	done

## python3-defaults 3.4.2-1

=== debian/changelog ===
python3-defaults (3.4.2-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Drop unused B-D-I on libhtml-tree-perl
  * Use dpkg-vendor instead of lsb-release to determine distribution.

  [ Matthias Klose ]
  * Bump version to 3.4.2.
  * Bump standards version to 3.9.6.
  * Build-depend on python3.4 and dpkg-dev versions to consistently
    generate the i586-* symlinks. Closes: #762980.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Oct 2014 12:52:49 +0200
